Bug 12181 - Network Configuration treats 10.x.x.x as class B
Summary: Network Configuration treats 10.x.x.x as class B
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Brock Organ
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-13 04:11 UTC by Brent Nordquist
Modified: 2007-04-18 16:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-11 02:45:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brent Nordquist 2000-06-13 04:11:26 UTC
The Network Configuration page fills in later fields (such as netmask,
broadcast, etc.) based on earlier values.

When the IP address 10.0.0.1 is entered, it fills in the netmask
255.255.0.0 which is a class B netmask.  However, 10.x.x.x is a class A
network; the correct mask should be 255.0.0.0.

Comment 1 Brent Nordquist 2000-06-26 11:15:01 UTC
Confirmed still broken in Winston Beta-2.

Comment 2 Brock Organ 2000-06-26 21:48:18 UTC
verified ... thanks for your report!

Comment 3 Michael Fulbright 2000-06-28 14:48:51 UTC
Fixed in latest internal version.

Comment 4 Brent Nordquist 2000-07-11 02:44:59 UTC
Confirmed; fixed in Winston Beta-3.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.